import { SVGWidget } from "./SVGWidget.ts";
import "../src/Text.css";
export declare class Text extends SVGWidget {
    private _textElement;
    constructor();
    getBBox(refresh?: boolean, round?: boolean): {
        x: number;
        y: number;
        width: number;
        height: number;
    };
    enter(domNode: any, element: any): void;
    _prevHash: any;
    update(domNode: any, element: any): void;
    click(): void;
    dblclick(): void;
}
export interface Text {
    text(): string;
    text(_: string): this;
    fontFamily(): string;
    fontFamily(_: string): this;
    fontSize(): number;
    fontSize(_: number): this;
    anchor(): "start" | "middle" | "end";
    anchor(_: "start" | "middle" | "end"): this;
    colorFill(): string;
    colorFill(_: string): this;
    colorFill_default(): string;
    colorFill_default(_: string): this;
    colorStroke(): string;
    colorStroke(_: string): this;
    colorStroke_default(): string;
    colorStroke_default(_: string): this;
    rotation(): number;
    rotation(_: number): Text;
}
